Skip to main content
`Ctrl`+`K`

# SNESLineSearchGetOptionsPrefix

Gets the prefix used for searching for all SNESLineSearch options in the database.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESLineSearchGetOptionsPrefix(SNESLineSearch linesearch, const char *prefix[])

Not Collective

## Input Parameter

- linesearch - the `SNESLineSearch` context

## Output Parameter

- prefix - pointer to the prefix string used

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESLineSearch`, `SNESAppendOptionsPrefix()`

## Level

advanced

## Location

src/snes/linesearch/interface/linesearch.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages